

#ifndef PCF8574_HEADER
#define PCF8574_HEADER

/*
 Open Collektor Ausgnge 
  Open Collektor Ausgnge 
  
Stellt sich nur noch die Frage: Wie regelt man nun, ob ein Pin als Ein- oder Ausgang arbeiten soll? 
Soviel gleich vorweg: So etwas wie die Datenrichtungsregister des AVRs gibt es hier nicht, 
man muss ohne sie auskommen. Den Ausgangspegel der Pins definiert man ber einen Schreibzugriff.
 Sendet man beispielsweise nach der Adresse gefolgt vom ACK des Bausteins 0xF0, so bedeutet das, 
 dass P0:3 nun L-Pegel haben und P4:7 H-Pegel. Will man einige IOs als Eingnge verwenden, 
 muss man die entsprechenden Ausgnge zunchst auf H-Pegel setzen, da es sich um
 Open Collektor Ausgnge 
 handelt sind die Ausgnge somit inaktiv. 
 Fhrt man nun einen Lesezugriff durch, so stehen im gelesenen Byte die Pegel der Pins.

*/

//Folgende Adresse wird schon 8 Bit codet

/*
codiert ->  
| 0 | 1 | 0 | 0 | A2 | A1 | A0 | R/W |  == 64 DEZ = 0x40
7-Bit  codiert als linksbndig 8 Bit + r/W 

Expander PCF8574 
0b01000000 = 0x40
+3 AdressBits 
+ R/WBit
0b01000XXX[R/w]
0b0100111? = 
0b01001110 = 0x4E
*/

//#define PCF8574_ADR_PREFIX	0x40 //0b0100000{R/w} //== 64 DEZ = 0x40 
#define PORTEXPANDER_PCF8574_ADR_PREFIX	0x4E		//01001110
#define LCD_PCF8574_ADR_PREFIX	0x40
/*
#define PORRTEXPANDER_PCF8574_ADR_PREFIX	0x40
#define PCF8574_ADR_PREFIX	0x40
#define PCF8574_ADR_WRITE	PCF8574_ADR_PREFIX //+0
#define PCF8574_ADR_READ 	(PCF8574_ADR_PREFIX + I2C_READ) // +1
*/
//extern void PCF8574_Init(uint8_t u8Adr );
extern void PCF8574_Init( void );
//-----------------------------------------------------------
#endif //PCF8574_HEADER